<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__device__sec__keys__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_device_sec_keys_t</compoundname>
    <includes local="no">wiced_bt_dev.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__device__sec__keys__t_1aea79a5fded063d3ca481e5a7062c3d76" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_device_sec_keys_t::br_edr_key_type</definition>
        <argsstring />
        <name>br_edr_key_type</name>
        <briefdescription>
<para>BR/EDR Link Key type. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="871" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="871" />
      </memberdef>
      <memberdef id="structwiced__bt__device__sec__keys__t_1aadc5f677556cd789f9f62f86890dcbef" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1ga893b7181fa78c4b8523e2efee30fe223">wiced_bt_link_key_t</ref></type>
        <definition>wiced_bt_link_key_t wiced_bt_device_sec_keys_t::br_edr_key</definition>
        <argsstring />
        <name>br_edr_key</name>
        <briefdescription>
<para>BR/EDR Link Key. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="872" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="872" />
      </memberdef>
      <memberdef id="structwiced__bt__device__sec__keys__t_1a81a175b3c9fb3492f4fab88f4ed9d585" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__wicedbt___device_management_1gae2140187208ce279eae8d9248a2e8a0e">wiced_bt_dev_le_key_type_t</ref></type>
        <definition>wiced_bt_dev_le_key_type_t wiced_bt_device_sec_keys_t::le_keys_available_mask</definition>
        <argsstring />
        <name>le_keys_available_mask</name>
        <briefdescription>
<para>Mask of available BLE keys. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="875" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="875" />
      </memberdef>
      <memberdef id="structwiced__bt__device__sec__keys__t_1a662c31c3b4577be030465e29f7ddff8d" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1ga97897f7408c23723933e9d21815c7294">wiced_bt_ble_address_type_t</ref></type>
        <definition>wiced_bt_ble_address_type_t wiced_bt_device_sec_keys_t::ble_addr_type</definition>
        <argsstring />
        <name>ble_addr_type</name>
        <briefdescription>
<para>LE device type: public or random address. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="876" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="876" />
      </memberdef>
      <memberdef id="structwiced__bt__device__sec__keys__t_1a4250f699aa8a21beba1470deb75ed566" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__ble__keys__t">wiced_bt_ble_keys_t</ref></type>
        <definition>wiced_bt_ble_keys_t wiced_bt_device_sec_keys_t::le_keys</definition>
        <argsstring />
        <name>le_keys</name>
        <briefdescription>
<para>LE keys. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="877" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="877" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Paired Device Link key data. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="425">
        <label>wiced_bt_device_sec_keys_t</label>
        <link refid="structwiced__bt__device__sec__keys__t" />
        <childnode refid="426" relation="usage">
          <edgelabel>le_keys</edgelabel>
        </childnode>
      </node>
      <node id="426">
        <label>wiced_bt_ble_keys_t</label>
        <link refid="structwiced__bt__ble__keys__t" />
      </node>
    </collaborationgraph>
    <location bodyend="878" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="868" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="869" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__device__sec__keys__t_1a662c31c3b4577be030465e29f7ddff8d" virt="non-virtual"><scope>wiced_bt_device_sec_keys_t</scope><name>ble_addr_type</name></member>
      <member prot="public" refid="structwiced__bt__device__sec__keys__t_1aadc5f677556cd789f9f62f86890dcbef" virt="non-virtual"><scope>wiced_bt_device_sec_keys_t</scope><name>br_edr_key</name></member>
      <member prot="public" refid="structwiced__bt__device__sec__keys__t_1aea79a5fded063d3ca481e5a7062c3d76" virt="non-virtual"><scope>wiced_bt_device_sec_keys_t</scope><name>br_edr_key_type</name></member>
      <member prot="public" refid="structwiced__bt__device__sec__keys__t_1a4250f699aa8a21beba1470deb75ed566" virt="non-virtual"><scope>wiced_bt_device_sec_keys_t</scope><name>le_keys</name></member>
      <member prot="public" refid="structwiced__bt__device__sec__keys__t_1a81a175b3c9fb3492f4fab88f4ed9d585" virt="non-virtual"><scope>wiced_bt_device_sec_keys_t</scope><name>le_keys_available_mask</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>